<template>
  <div style="display: flex; flex-wrap: wrap; margin-bottom: 20px">
    <div class=wrap v-for="(value, key) in bedMap" :key="key">
      <RoomBedSelect :title="key" :bedList="value" v-model="curSel"/>
    </div>
  </div>
  <el-button @click="roomConfirm">KKKK</el-button>
<!--
  <el-button type="primary">Primary Button</el-button>
  <el-button type="success">Success Button</el-button>
  <el-button type="info">Info Button</el-button>
  <el-button type="warning">Warning Button</el-button>
  <el-button type="danger">Danger Button</el-button>
-->
</template>

<script setup lang="ts">
import {RoomBedSelect} from "@/components/RoomBedSelect"
import { RoomApi, RoomVO } from '@/api/ecg/room'

defineOptions({ name: 'RoomLoginSelect' })

const bedMap = ref<Map<String, RoomVO[]>>() // 列表的数据

const curSel = ref<String>("B2");

/** 查询列表 */
const getList = async () => {
  const data = await RoomApi.getOnstageBedMap()
  bedMap.value = data as Map<String, RoomVO[]>
}

const roomConfirm = () => {
}

/** 初始化 **/
onMounted(() => {
  getList()
})

</script>

<style scoped lang="scss">
.wrap {
  margin-right: 20px;
}
</style>
